Package com.xebialabs.xlrelease.domain.events

# Class FolderMovedEvent$

java.lang.Object
scala.runtime.AbstractFunction3<Folder,String,String,FolderMovedEvent>
com.xebialabs.xlrelease.domain.events.FolderMovedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Folder,String,String,FolderMovedEvent>`

public class FolderMovedEvent$ extends scala.runtime.AbstractFunction3<Folder,String,String,FolderMovedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FolderMovedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderMovedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FolderMovedEvent`
  `apply(Folder folder, String oldParentId, String newParentId)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Folder,String,String>>`
  `unapply(FolderMovedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final FolderMovedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### FolderMovedEvent$

    public FolderMovedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Folder,String,String,FolderMovedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Folder,String,String,FolderMovedEvent>`

  - ### apply

    public FolderMovedEvent apply(Folder folder, String oldParentId, String newParentId)
    Specified by:
      `apply` in interface `scala.Function3<Folder,String,String,FolderMovedEvent>`

  - ### unapply

    public scala.Option<scala.Tuple3<Folder,String,String>> unapply(FolderMovedEvent x$0)